      SUBROUTINE PXZ05A(JOBUF)
C
C  DEC VAX FORTRAN 77 VERSION.
C
C  R. Watts - 8/4/81.
C
C
C
C  THIS ROUTINE TAKES THE UNPACKED INTEGER STRING ICSTR
C  AND PACKS IT INTO THE OUTPUT CHARACTER STRING JOBUF.
C  JOBUF IS EQUIVALENCED TO IOBUFF IN THE COMMON BLOCK
C  /PXZ99/ VIA THE ARGUMENT LIST.
C
C
C  THIS ROUTINE CALLS PXZ01 (OUTPUT).
C
C     CHARACTER*1 IOBUF(512)
      CHARACTER*512 JOBUF
C
$INCLUDE:'pxz99.cmn'
C
C     Handle each character:
C
      DO 10 I=1,NCSTR
C
C       If the output buffer is full, output the buffer.
C
        IF (NCCNT.GE.NCCMX) CALL PXZ01
C
C       PXZ01 resets the counters NCOUT, NWOUT, JOBUF(1),
C       & especially NCCNT=0.
C
C       Increment the buffer length counter.
C
        NCCNT=NCCNT+1
C
C       Place the character in the buffer.
C
        JOBUF(NCCNT:NCCNT)=CHAR(ICSTR(I))
   10   CONTINUE
C
C     Reset the length-of-string counter.
C
      NCSTR=0
C
      END

